tntdb::ConnectionPools Class Reference
Inheritance diagram for tntdb::ConnectionPools:

## Public Types

typedef ConnectionPool | PoolType
typedef std::map< std::string, PoolType * > | PoolsType

## Public Member Functions

| ConnectionPools (unsigned maxcount_=0)
Connection | connect (const std::string &url)
void | drop (unsigned keep=0)
| Releases unused connections. More...
void | drop (const std::string &url, unsigned keep=0)
| Releases unused connections, which match the given url. More...
unsigned | getMaximumSize ()
void | setMaximumSize (unsigned m)
unsigned | getCurrentSize (const std::string &url) const

## Member Function Documentation

## drop() [1/2]

void tntdb::ConnectionPools::drop | ( | unsigned | keep = `0` | ) |

Releases unused connections.

Keeps the given number of connections.

## drop() [2/2]

void tntdb::ConnectionPools::drop | ( | const std::string & | url,
|  | unsigned | keep = `0`
| ) |  |

Releases unused connections, which match the given url.

Keeps the given number of connections.

The documentation for this class was generated from the following file:

- tntdb/connectionpool.h